aim4.driver.coordinator

## Class MaxAccelReservationCheck

- java.lang.Object
- - aim4.driver.coordinator.MaxAccelReservationCheck

-     public class MaxAccelReservationCheck
      extends Object

  This class provides functions to solve the validation problem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxAccelReservationCheck()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccelSchedule` | `check(double time1, double v1, double timeEnd, double vEnd, double dTotal, double vTop, double accel, double decel)` Calculate a simple acceleration schedule if the driver drives.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxAccelReservationCheck

          public MaxAccelReservationCheck()

  - ### Method Detail

    - #### check

          public static AccelSchedule check(double time1,
                            double v1,
                            double timeEnd,
                            double vEnd,
                            double dTotal,
                            double vTop,
                            double accel,
                            double decel)
                                     throws ReservationCheckException

      Calculate a simple acceleration schedule if the driver drives.
      Parameters:
        `time1` - the initial time
        `v1` - the initial velocity
        `timeEnd` - the arrival time
        `vEnd` - the arrival velocity
        `dTotal` - the distance between the vehicle and the intersection
        `vTop` - the speed limit of the road
        `accel` - the maximum acceleration
        `decel` - the maximum deceleration
      Returns:
        the acceleration schedule; null if there is no acceleration schedule that satisfies the constraints.
      Throws:
        `if` - no solution is found.
        `ReservationCheckException`

Copyright © 2013. All rights reserved.